SparrowDesk
ConversationsId

Retrieve a conversation

GET
/conversations/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

Conversation id

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/conversations/0"
{
  "data": {
    "id": 12345,
    "brand": "Support Brand",
    "brand_id": 12345,
    "source": "Mail",
    "status": "Open",
    "priority": "High",
    "created_at": 1672531200,
    "first_response_time": 1672534800,
    "resolution_time": null,
    "due": 1672617600,
    "first_response_due": 1672538400,
    "requested_by_email": "[email protected]",
    "requested_by_id": 67890,
    "assigned_to_member_id": 123,
    "assigned_to_team_id": 456,
    "last_updated_at": 1672535400,
    "subject": "Payment issue with order #12345",
    "description_html": "<p>I'm having trouble with my payment...</p>",
    "description_text": "I'm having trouble with my payment...",
    "tags": [
      {
        "id": 1,
        "label": "billing"
      }
    ],
    "custom_fields": [
      {
        "id": 9250,
        "value": "ORD-12345",
        "conversation_field_id": 2771,
        "option_id": 1817
      }
    ],
    "properties": {
      "request_language": "English",
      "browser_timezone": "Asia/Calcutta",
      "browser": "Chrome"
    }
  }
}
{
  "error": {
    "message": "Invalid conversation ID"
  }
}
{
  "error": {
    "message": "Conversation not found"
  }
}
{
  "error": {
    "message": "Error retrieving conversation"
  }
}